* Backwards compat for < 2.6.16?
@ 2007-10-02 7:59 Rusty Russell
[not found] ` <1191311951.17826.11.camel-bi+AKbBUZKY6gyzm1THtWbp2dZbC/Bob@public.gmane.org>
0 siblings, 1 reply; 4+ messages in thread
From: Rusty Russell @ 2007-10-02 7:59 UTC (permalink / raw)
To: Avi Kivity; +Cc: kvm-devel
Hi all,
The lapic code uses ktime_t and hrtimers, which means we no longer
build for kernels 2.6.15 and below. Is it worth trying to fake this
infrastructure up, building without lapic, or abandoning < 2.6.16?
Thanks,
Rusty.
-------------------------------------------------------------------------
This SF.net email is sponsored by: Microsoft
Defy all challenges. Microsoft(R) Visual Studio 2005.
http://clk.atdmt.com/MRT/go/vse0120000070mrt/direct/01/
^ permalink raw reply [flat|nested] 4+ messages in thread
* [PATCH] Script to help check compatibility against a range of kernels.
[not found] ` <1191311951.17826.11.camel-bi+AKbBUZKY6gyzm1THtWbp2dZbC/Bob@public.gmane.org>
@ 2007-10-02 8:02 ` Rusty Russell
[not found] ` <1191312174.17826.15.camel-bi+AKbBUZKY6gyzm1THtWbp2dZbC/Bob@public.gmane.org>
2007-10-02 8:37 ` Backwards compat for < 2.6.16? Avi Kivity
1 sibling, 1 reply; 4+ messages in thread
From: Rusty Russell @ 2007-10-02 8:02 UTC (permalink / raw)
To: Avi Kivity; +Cc: kvm-devel
This makes it easier to check kvm-userspace compatibility layer.
---
check-compat.sh | 27 +++++++++++++++++++++++++++
1 files changed, 27 insertions(+), 0 deletions(-)
create mode 100755 check-compat.sh
diff --git a/check-compat.sh b/check-compat.sh
new file mode 100755
index 0000000..c07be4d
--- /dev/null
+++ b/check-compat.sh
@@ -0,0 +1,27 @@
+#! /bin/sh
+
+die()
+{
+ echo FAILED:
+ cat $LOGFILE
+ exit 1
+}
+
+if [ $# = 0 ]; then
+ echo Usage: ./check-compat.sh kerneldir... >&2
+ echo eg. './check-compat.sh ../linux-2.6.*' >&2
+ exit 1
+fi
+
+LOGFILE=`mktemp -t kvm-check-compat.XXXXXXXXXX`
+trap "rm -f $LOGFILE" 0
+
+for k in "$@"; do
+ [ -d $k ] || continue
+ make clean > /dev/null 2>&1
+ echo -n Checking $k...
+ ./configure --kerneldir=`pwd`/$k > $LOGFILE 2>&1 || die
+ make >> $LOGFILE 2>&1 || die
+ echo ok.
+done
+
--
1.5.1.3
-------------------------------------------------------------------------
This SF.net email is sponsored by: Microsoft
Defy all challenges. Microsoft(R) Visual Studio 2005.
http://clk.atdmt.com/MRT/go/vse0120000070mrt/direct/01/
^ permalink raw reply related [flat|nested] 4+ messages in thread
* Re: Backwards compat for < 2.6.16?
[not found] ` <1191311951.17826.11.camel-bi+AKbBUZKY6gyzm1THtWbp2dZbC/Bob@public.gmane.org>
2007-10-02 8:02 ` [PATCH] Script to help check compatibility against a range of kernels Rusty Russell
@ 2007-10-02 8:37 ` Avi Kivity
1 sibling, 0 replies; 4+ messages in thread
From: Avi Kivity @ 2007-10-02 8:37 UTC (permalink / raw)
To: Rusty Russell; +Cc: kvm-devel
Rusty Russell wrote:
> Hi all,
>
> The lapic code uses ktime_t and hrtimers, which means we no longer
> build for kernels 2.6.15 and below. Is it worth trying to fake this
> infrastructure up, building without lapic, or abandoning < 2.6.16?
>
>
I think we can stub the code away, and hack the feature reporting to
hide the crippled functionality.
--
error compiling committee.c: too many arguments to function
-------------------------------------------------------------------------
This SF.net email is sponsored by: Microsoft
Defy all challenges. Microsoft(R) Visual Studio 2005.
http://clk.atdmt.com/MRT/go/vse0120000070mrt/direct/01/
^ permalink raw reply [flat|nested] 4+ messages in thread
* Re: [PATCH] Script to help check compatibility against a range of kernels.
[not found] ` <1191312174.17826.15.camel-bi+AKbBUZKY6gyzm1THtWbp2dZbC/Bob@public.gmane.org>
@ 2007-10-02 9:47 ` Avi Kivity
0 siblings, 0 replies; 4+ messages in thread
From: Avi Kivity @ 2007-10-02 9:47 UTC (permalink / raw)
To: Rusty Russell; +Cc: kvm-devel
Rusty Russell wrote:
> This makes it easier to check kvm-userspace compatibility layer.
>
>
I actually started to write something like this, except it pulled older
kernels from git.
Thanks.
> ---
> check-compat.sh | 27 +++++++++++++++++++++++++++
> 1 files changed, 27 insertions(+), 0 deletions(-)
> create mode 100755 check-compat.sh
>
> diff --git a/check-compat.sh b/check-compat.sh
> new file mode 100755
> index 0000000..c07be4d
> --- /dev/null
> +++ b/check-compat.sh
> @@ -0,0 +1,27 @@
> +#! /bin/sh
> +
> +die()
> +{
> + echo FAILED:
> + cat $LOGFILE
> + exit 1
> +}
> +
> +if [ $# = 0 ]; then
> + echo Usage: ./check-compat.sh kerneldir... >&2
> + echo eg. './check-compat.sh ../linux-2.6.*' >&2
> + exit 1
> +fi
> +
> +LOGFILE=`mktemp -t kvm-check-compat.XXXXXXXXXX`
> +trap "rm -f $LOGFILE" 0
> +
> +for k in "$@"; do
> + [ -d $k ] || continue
> + make clean > /dev/null 2>&1
> + echo -n Checking $k...
> + ./configure --kerneldir=`pwd`/$k > $LOGFILE 2>&1 || die
> + make >> $LOGFILE 2>&1 || die
> + echo ok.
> +done
> +
>
--
error compiling committee.c: too many arguments to function
-------------------------------------------------------------------------
This SF.net email is sponsored by: Microsoft
Defy all challenges. Microsoft(R) Visual Studio 2005.
http://clk.atdmt.com/MRT/go/vse0120000070mrt/direct/01/
^ permalink raw reply [flat|nested] 4+ messages in thread
end of thread, other threads:[~2007-10-02 9:47 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2007-10-02 7:59 Backwards compat for < 2.6.16? Rusty Russell
[not found] ` <1191311951.17826.11.camel-bi+AKbBUZKY6gyzm1THtWbp2dZbC/Bob@public.gmane.org>
2007-10-02 8:02 ` [PATCH] Script to help check compatibility against a range of kernels Rusty Russell
[not found] ` <1191312174.17826.15.camel-bi+AKbBUZKY6gyzm1THtWbp2dZbC/Bob@public.gmane.org>
2007-10-02 9:47 ` Avi Kivity
2007-10-02 8:37 ` Backwards compat for < 2.6.16? Avi Kivity
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox